apiVersion: capabilities.3scale.net/v1beta1
kind: OpenAPI
metadata:
  name: openapicr
  annotations:
    insecure_skip_verify: "true"
spec:
  openapiRef:
    # url: "http://oas-http-service/openapi.yaml"
    secretRef:
      name: test-oas-secret
  providerAccountRef:
    name: mytenant
  # Add deployment settings here
  privateBaseURL: "https://backend-from-openapi-cr.example.com:9000"
  # productionPublicBaseURL: "https://production.my-gateway.example.com"
  # stagingPublicBaseURL: "https://staging.my-gateway.example.com"
  # privateAPIHostHeader: "my-custom-header"
  # privateAPISecretToken: "my-secret-token"
